{
    "scan": {
        "analyzer-version-gcc": "16.1.1"
    },
    "defects": [
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/crypto.c",
                    "line": 3423,
                    "column": 56,
                    "h_size": 23,
                    "event": "warning[-Wanalyzer-null-argument]",
                    "message": "use of NULL where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/crypto.c",
                    "line": 3368,
                    "column": 10,
                    "h_size": 23,
                    "event": "enter_function",
                    "message": "entry to 'bd_crypto_escrow_device'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/crypto.c",
                    "line": 3397,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/crypto.c",
                    "line": 3403,
                    "column": 10,
                    "h_size": 15,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/crypto.c",
                    "line": 3413,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/crypto.c",
                    "line": 3422,
                    "column": 22,
                    "h_size": 1,
                    "event": "call_function",
                    "message": "inlined call to 'g_strdup_inline' from 'bd_crypto_escrow_device'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 311,
                    "column": 7,
                    "h_size": 27,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 311,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/crypto.c",
                    "line": 3423,
                    "column": 56,
                    "h_size": 23,
                    "event": "danger",
                    "message": "argument 1 ('<unknown>') NULL where non-null expected",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1367,
                    "column": 48,
                    "h_size": 16,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1352,
                    "column": 10,
                    "h_size": 19,
                    "event": "enter_function",
                    "message": "entry to 'bd_part_delete_part'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1359,
                    "column": 13,
                    "h_size": 7,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1365,
                    "column": 16,
                    "h_size": 29,
                    "event": "call_function",
                    "message": "calling 'get_part_num' from 'bd_part_delete_part'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 135,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to 'get_part_num'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 139,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 152,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1365,
                    "column": 16,
                    "h_size": 29,
                    "event": "return_function",
                    "message": "returning to 'bd_part_delete_part' from 'get_part_num'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1366,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1367,
                    "column": 55,
                    "h_size": 2,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1367,
                    "column": 55,
                    "h_size": 2,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1367,
                    "column": 48,
                    "h_size": 16,
                    "event": "danger",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1529,
                    "column": 48,
                    "h_size": 16,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1506,
                    "column": 10,
                    "h_size": 19,
                    "event": "enter_function",
                    "message": "entry to 'bd_part_resize_part'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1521,
                    "column": 13,
                    "h_size": 7,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1527,
                    "column": 16,
                    "h_size": 29,
                    "event": "call_function",
                    "message": "calling 'get_part_num' from 'bd_part_resize_part'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 135,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to 'get_part_num'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 139,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 152,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1527,
                    "column": 16,
                    "h_size": 29,
                    "event": "return_function",
                    "message": "returning to 'bd_part_resize_part' from 'get_part_num'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1528,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1529,
                    "column": 55,
                    "h_size": 2,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1529,
                    "column": 55,
                    "h_size": 2,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1529,
                    "column": 48,
                    "h_size": 16,
                    "event": "danger",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1845,
                    "column": 48,
                    "h_size": 16,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1800,
                    "column": 10,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to 'bd_part_set_part_name'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1809,
                    "column": 13,
                    "h_size": 7,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1815,
                    "column": 11,
                    "h_size": 39,
                    "event": "call_function",
                    "message": "calling 'get_device_context' from 'bd_part_set_part_name'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 192,
                    "column": 30,
                    "h_size": 18,
                    "event": "enter_function",
                    "message": "entry to 'get_device_context'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 196,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 202,
                    "column": 11,
                    "h_size": 42,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 203,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 210,
                    "column": 5,
                    "h_size": 30,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1815,
                    "column": 11,
                    "h_size": 39,
                    "event": "return_function",
                    "message": "returning to 'bd_part_set_part_name' from 'get_device_context'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1816,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1821,
                    "column": 10,
                    "h_size": 27,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1822,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1831,
                    "column": 18,
                    "h_size": 25,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1832,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1842,
                    "column": 16,
                    "h_size": 29,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1842,
                    "column": 16,
                    "h_size": 29,
                    "event": "call_function",
                    "message": "calling 'get_part_num' from 'bd_part_set_part_name'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 135,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to 'get_part_num'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 139,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 152,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1842,
                    "column": 16,
                    "h_size": 29,
                    "event": "return_function",
                    "message": "returning to 'bd_part_set_part_name' from 'get_part_num'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1843,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1844,
                    "column": 9,
                    "h_size": 19,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1845,
                    "column": 55,
                    "h_size": 2,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1845,
                    "column": 48,
                    "h_size": 16,
                    "event": "danger",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1926,
                    "column": 48,
                    "h_size": 16,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1913,
                    "column": 10,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to 'bd_part_set_part_type'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1918,
                    "column": 13,
                    "h_size": 7,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1924,
                    "column": 16,
                    "h_size": 29,
                    "event": "call_function",
                    "message": "calling 'get_part_num' from 'bd_part_set_part_type'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 135,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to 'get_part_num'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 139,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 152,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1924,
                    "column": 16,
                    "h_size": 29,
                    "event": "return_function",
                    "message": "returning to 'bd_part_set_part_type' from 'get_part_num'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1925,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1926,
                    "column": 55,
                    "h_size": 2,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1926,
                    "column": 55,
                    "h_size": 2,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1926,
                    "column": 48,
                    "h_size": 16,
                    "event": "danger",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1985,
                    "column": 48,
                    "h_size": 16,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1972,
                    "column": 10,
                    "h_size": 19,
                    "event": "enter_function",
                    "message": "entry to 'bd_part_set_part_id'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1977,
                    "column": 13,
                    "h_size": 7,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1983,
                    "column": 16,
                    "h_size": 29,
                    "event": "call_function",
                    "message": "calling 'get_part_num' from 'bd_part_set_part_id'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 135,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to 'get_part_num'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 139,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 152,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1983,
                    "column": 16,
                    "h_size": 29,
                    "event": "return_function",
                    "message": "returning to 'bd_part_set_part_id' from 'get_part_num'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1984,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1985,
                    "column": 55,
                    "h_size": 2,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1985,
                    "column": 55,
                    "h_size": 2,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 1985,
                    "column": 48,
                    "h_size": 16,
                    "event": "danger",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2076,
                    "column": 48,
                    "h_size": 16,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2031,
                    "column": 10,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to 'bd_part_set_part_uuid'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2040,
                    "column": 13,
                    "h_size": 7,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2046,
                    "column": 11,
                    "h_size": 39,
                    "event": "call_function",
                    "message": "calling 'get_device_context' from 'bd_part_set_part_uuid'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 192,
                    "column": 30,
                    "h_size": 18,
                    "event": "enter_function",
                    "message": "entry to 'get_device_context'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 196,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 202,
                    "column": 11,
                    "h_size": 42,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 203,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 210,
                    "column": 5,
                    "h_size": 30,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2046,
                    "column": 11,
                    "h_size": 39,
                    "event": "return_function",
                    "message": "returning to 'bd_part_set_part_uuid' from 'get_device_context'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2047,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2052,
                    "column": 10,
                    "h_size": 27,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2053,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2062,
                    "column": 18,
                    "h_size": 25,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2063,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2073,
                    "column": 16,
                    "h_size": 29,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2073,
                    "column": 16,
                    "h_size": 29,
                    "event": "call_function",
                    "message": "calling 'get_part_num' from 'bd_part_set_part_uuid'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 135,
                    "column": 13,
                    "h_size": 12,
                    "event": "enter_function",
                    "message": "entry to 'get_part_num'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 139,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 152,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 156,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2073,
                    "column": 16,
                    "h_size": 29,
                    "event": "return_function",
                    "message": "returning to 'bd_part_set_part_uuid' from 'get_part_num'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2074,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2075,
                    "column": 9,
                    "h_size": 19,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2076,
                    "column": 55,
                    "h_size": 2,
                    "event": "release_memory",
                    "message": "'l_error' is NULL",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/part.c",
                    "line": 2076,
                    "column": 48,
                    "h_size": 16,
                    "event": "danger",
                    "message": "dereference of NULL 'l_error'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 491,
                    "column": 16,
                    "h_size": 1,
                    "event": "warning[-Wanalyzer-fd-leak]",
                    "message": "leak of file descriptor 'pipefd[0]'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 631,
                    "column": 10,
                    "h_size": 13,
                    "event": "enter_function",
                    "message": "entry to 'bd_fs_unmount'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 652,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch (when 'extra' is non-NULL)...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 652,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 653,
                    "column": 29,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 654,
                    "column": 17,
                    "h_size": 15,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 654,
                    "column": 16,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 680,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 681,
                    "column": 15,
                    "h_size": 77,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 681,
                    "column": 15,
                    "h_size": 77,
                    "event": "call_function",
                    "message": "calling 'run_as_user' from 'bd_fs_unmount'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 473,
                    "column": 17,
                    "h_size": 11,
                    "event": "enter_function",
                    "message": "entry to 'run_as_user'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 488,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 494,
                    "column": 9,
                    "h_size": 12,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 494,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 500,
                    "column": 11,
                    "h_size": 7,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 502,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch (when 'pid == -1')...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 503,
                    "column": 9,
                    "h_size": 30,
                    "v_size": 1,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 491,
                    "column": 16,
                    "h_size": 1,
                    "event": "danger",
                    "message": "'pipefd[0]' leaks here",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 491,
                    "column": 16,
                    "h_size": 1,
                    "event": "warning[-Wanalyzer-fd-leak]",
                    "message": "leak of file descriptor 'pipefd[1]'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 631,
                    "column": 10,
                    "h_size": 13,
                    "event": "enter_function",
                    "message": "entry to 'bd_fs_unmount'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 652,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch (when 'extra' is non-NULL)...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 652,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 653,
                    "column": 29,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 654,
                    "column": 17,
                    "h_size": 15,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 654,
                    "column": 16,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 680,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 681,
                    "column": 15,
                    "h_size": 77,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 681,
                    "column": 15,
                    "h_size": 77,
                    "event": "call_function",
                    "message": "calling 'run_as_user' from 'bd_fs_unmount'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 473,
                    "column": 17,
                    "h_size": 11,
                    "event": "enter_function",
                    "message": "entry to 'run_as_user'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 488,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 494,
                    "column": 9,
                    "h_size": 12,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 494,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 500,
                    "column": 11,
                    "h_size": 7,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 502,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch (when 'pid == -1')...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 503,
                    "column": 9,
                    "h_size": 30,
                    "v_size": 1,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/fs/mount.c",
                    "line": 491,
                    "column": 16,
                    "h_size": 1,
                    "event": "danger",
                    "message": "'pipefd[1]' leaks here",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 787,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 108,
                    "column": 9,
                    "h_size": 6,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "buffer over-read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 100,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch (when 'error' is non-NULL)...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 102,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 102,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch (when 'result != 0')...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 107,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 107,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch (when '_errno > 999')...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 108,
                    "column": 9,
                    "h_size": 6,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 108,
                    "column": 9,
                    "h_size": 6,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 108,
                    "column": 9,
                    "h_size": 6,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-error.c",
                    "line": 108,
                    "column": 9,
                    "h_size": 6,
                    "event": "danger",
                    "message": "read of 4 bytes at offset '(unsigned int)_errno * 4 + 17179865180' exceeds 'CSWTCH'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 410,
                    "column": 19,
                    "h_size": 1,
                    "event": "warning[-Wanalyzer-fd-leak]",
                    "message": "leak of file descriptor '_open_dev(device,  error)'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 470,
                    "column": 24,
                    "h_size": 27,
                    "event": "enter_function",
                    "message": "entry to 'bd_nvme_get_controller_info'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 477,
                    "column": 10,
                    "h_size": 25,
                    "event": "call_function",
                    "message": "calling '_open_dev' from 'bd_nvme_get_controller_info'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 392,
                    "column": 6,
                    "h_size": 9,
                    "event": "enter_function",
                    "message": "entry to '_open_dev'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 395,
                    "column": 10,
                    "h_size": 23,
                    "event": "acquire_resource",
                    "message": "opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 396,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 396,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 477,
                    "column": 10,
                    "h_size": 25,
                    "event": "return_function",
                    "message": "returning to 'bd_nvme_get_controller_info' from '_open_dev'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 478,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 481,
                    "column": 15,
                    "h_size": 49,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 481,
                    "column": 15,
                    "h_size": 49,
                    "event": "call_function",
                    "message": "calling '_nvme_alloc' from 'bd_nvme_get_controller_info'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 408,
                    "column": 7,
                    "h_size": 11,
                    "event": "enter_function",
                    "message": "entry to '_nvme_alloc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 413,
                    "column": 9,
                    "h_size": 50,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 413,
                    "column": 9,
                    "h_size": 50,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 481,
                    "column": 15,
                    "h_size": 49,
                    "event": "return_function",
                    "message": "returning to 'bd_nvme_get_controller_info' from '_nvme_alloc'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libblockdev-3.4.0-build/libblockdev-3.4.0/src/plugins/nvme/nvme-info.c",
                    "line": 410,
                    "column": 19,
                    "h_size": 1,
                    "event": "danger",
                    "message": "'_open_dev(device,  error)' leaks here; was opened at [(4)](sarif:/runs/0/results/0/codeFlows/0/threadFlows/0/locations/3)",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
